系统升级失败,不能安装更新

系统安装、升级讨论
回复
lrxiaodao
帖子: 9
注册时间: 2008-05-22 10:14
送出感谢: 0
接收感谢: 0

系统升级失败,不能安装更新

#1

帖子 lrxiaodao » 2008-07-08 10:51

系统自动更新时,原来的图标成了一个红色圆形不可用的图标,鼠标放上去显示如下内容:
出现错误,请右击菜单运行包管理器或者在终端中运行apt-get查看错误内容。。。。。

打开新立得,显示有错误:
E: 无法识别在安装源列表 /etc/apt/sources.list.d/lyriczilla.list 里,第 1 行中的软件包类别“<!DOCTYPE”
E: 所列资源不可读。
情转到软件库对话框修正该问题。
E: _cache->open() failed, please report.

这是因为更新源的问题吗?还是哪儿我设置错了。如何解决,请教高手帮忙指点!多谢!
头像
jeffwei
帖子: 1344
注册时间: 2007-05-12 22:48
送出感谢: 0
接收感谢: 0

#2

帖子 jeffwei » 2008-07-08 10:56

代码: 全选

/etc/apt/sources.list
应该是一个文件啊
到系统管理的软件源看看,选好服务器
先试试在命令行

代码: 全选

sudo apt-get update
lrxiaodao
帖子: 9
注册时间: 2008-05-22 10:14
送出感谢: 0
接收感谢: 0

#3

帖子 lrxiaodao » 2008-07-08 11:17

用sudo apt-get update还是提示这个:
E: 无法识别在安装源列表 /etc/apt/sources.list.d/lyriczilla.list 里,第 1 行中的软件包类别“<!DOCTYPE”
什么意思呢看不懂啊?
什么原因呢?
gzshy
帖子: 7
注册时间: 2006-09-11 15:36
送出感谢: 0
接收感谢: 0

#4

帖子 gzshy » 2008-07-08 23:13

我的8.04也在前日的升级中挂了,情况跟你差不多
头像
soswcsun
帖子: 158
注册时间: 2008-02-21 15:46
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 soswcsun » 2008-07-08 23:20

这问题我遇到过,是安装歌词插件吧
我的解决办法是
sudo nautilus
进入/etc/apt/sources.list.d/ 把那个文件删掉
OK
就可以update了
好像对系统也没什么影响

ps:我是新的发亮的新手,全凭搞烂了大不了重装的勇气 捣腾的
如果因此发生什么问题,不要怪我哦
lrxiaodao
帖子: 9
注册时间: 2008-05-22 10:14
送出感谢: 0
接收感谢: 0

#6

帖子 lrxiaodao » 2008-07-09 8:32

新手中的高手啊,谢谢,我试一下!如有情况,随时汇报!多谢!
lrxiaodao
帖子: 9
注册时间: 2008-05-22 10:14
送出感谢: 0
接收感谢: 0

#7

帖子 lrxiaodao » 2008-07-09 8:48

果然是高手,多谢了,我在文件夹里看到两个文件都删了,重启后现在没有问题了!
这样我记起来了,应该是下载歌词插件的时候出的问题,可惜当时也没有装好插件反而整的系统出问题了。呵呵,感谢![/list]
回复

回到 “系统安装和升级”